%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtremoteobjects
Version:       6.7.3
Release:       1mamba
Summary:       Qt6 remote objects component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtremoteobjects-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}

%description
Qt6 remote objects component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtremoteobjects-everywhere-src-%{version}

%build
%cmake -d build \
  -G Ninja

cmake --build .

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR="%{buildroot}" cmake --install build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libQt6RemoteObjects.so.*
%{_libdir}/libQt6RemoteObjectsQml.so.*
%dir %{_libdir}/qt6/qml/QtRemoteObjects
%{_libdir}/qt6/qml/QtRemoteObjects/*
%{_libdir}/qt6/libexec/repc
%{_libdir}/qt6/metatypes/qt6remoteobjects*.json
%{_libdir}/qt6/modules/*.json
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtRemoteObjects
%{_includedir}/qt6/QtRemoteObjects/*
%dir %{_includedir}/qt6/QtRepParser
%{_includedir}/qt6/QtRepParser/*
%dir %{_includedir}/qt6/QtRemoteObjectsQml
%{_includedir}/qt6/QtRemoteObjectsQml/*
%{_libdir}/libQt6RemoteObjects.prl
%{_libdir}/libQt6RemoteObjects.so
%{_libdir}/libQt6RemoteObjectsQml.prl
%{_libdir}/libQt6RemoteObjectsQml.so
%{_libdir}/qt6/mkspecs/features/remoteobjects_repc.prf
%{_libdir}/qt6/mkspecs/features/rep*.pri
%{_libdir}/qt6/mkspecs/features/repparser.prf
%{_libdir}/qt6/mkspecs/modules/qt_lib_remoteobjects*.pri
%{_libdir}/qt6/mkspecs/modules/qt_lib_repparser*.pri
%dir %{_libdir}/cmake/Qt6RemoteObjects
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtRemoteObjectsTestsConfig.cmake
%{_libdir}/cmake/Qt6RemoteObjects/Qt6RemoteObjects*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6declarative_remoteobjects*.cmake
%dir %{_libdir}/cmake/Qt6RemoteObjectsQml
%{_libdir}/cmake/Qt6RemoteObjectsQml/Qt6RemoteObjectsQml*.cmake
%dir %{_libdir}/cmake/Qt6RemoteObjectsTools
%{_libdir}/cmake/Qt6RemoteObjectsTools/Qt6RemoteObjectsTools*.cmake
%dir %{_libdir}/cmake/Qt6RepParser
%{_libdir}/cmake/Qt6RepParser/Qt6RepParser*.cmake
%{_libdir}/pkgconfig/Qt6*.pc

%changelog
* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 6.6.2-1mamba
- automatic version update by autodist

* Wed Nov 29 2023 Automatic Build System <autodist@mambasoft.it> 6.6.1-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Mon May 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Wed Apr 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Tue Sep 13 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
